### Method

# Aravis Evaluator set_constant

since: 0.6.0

#### Declaration [src]

    void
    arv_evaluator_set_constant (
      ArvEvaluator* evaluator,
      const char* name,
      const char* constant
    )

#### Description [src]

Assign a string to a constant. If `constant` == `NULL`, the constant previously assigned to `name` will be removed.

Available since: 0.6.0

#### Parameters

`name`

  Type: `const char*`

  Constant name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`constant`

  Type: `const char*`

  Constant as a string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.